The Wine development release 1.9.23 is now available.

What's new in this release (see below for details):
  - HID bus support for macOS.
  - Color font support in Direct2D.
  - More color formats in Direct3D.
  - Uninstallation fixes in MSI.
  - Various bug fixes.

The source is available from the following locations:

  http://dl.winehq.org/wine/source/1.9/wine-1.9.23.tar.bz2
  http://mirrors.ibiblio.org/wine/source/1.9/wine-1.9.23.tar.bz2

Binary packages for various distributions will be available from:

  http://www.winehq.org/download

You will find documentation on http://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check http://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 1.9.23 (total 32):

  11963  Myst V: End of Ages does not run
  17323  Superbase Dialogs are too small
  23255  Temper setup dialog button is inappropriately sized
  23838  iMule Crashes Upon Indexing Shared Files (dogfood)
  24995  Gpstrack Segfaults while copying text from right-click popup menu
  28132  MDDClone starts without audio unless 'Sound' tab is activated in the launcher
  28226  Sonic heroes 1.0 Crash after running.
  30187  Cisco IP Communicator 7.0.4.0 installation fails (Cisco 'certmgr.exe' tool fails to install certificate to the system-wide trusted certificate store)
  30673  Smart Cutter 1.9.4 crashes when the button OPEN is pressed
  32752  Xanadu NEXT 3D does not show properly
  33524  Cannot select/copy text in PDF files created in Microsoft Office 2007 & 2010
  35397  Endless Steam Client Update even after fresh install (BSD 'read_directory_getdirentries' implementation broken)
  35733  Startopia: Models render with weird and completely unexpected offsets
  36101  Wow Hangs at login screen when coming from battle.net launcher (only with gxapi Opengl)
  36898  Unturned crashes
  38198  Colin McRae Rally 2005 crashes at start
  38489  debug_d3dusage Unrecognized usage flag(s) 0x10000000
  38972  Titan Souls Demo (Steam) crashes on unimplemented function OpenAL32.dll.alGenFilters
  39396  "Legend of Grimrock 2" editor flickers
  40110  d3d10core:device and d3d11:d3d11 regression
  40314  www.cryptopro.ru installer needs unimplemented function CRYPT32.dll.CertRegisterSystemStore
  40448  Final Fantasy XI: Missing character models, potential black screen and crashes
  40925  UE4 games (Flame in the Flood, Into the Stars, Ethan Carter Redux) crash when attempting to render to a 3D texture
  41071  Multiple applications needs api-ms-win-crt-stdio-l1-1-0.dll._wsopen_dispatch (PCSX2 1.4.0, StarCraft II 3.6.0)
  41428  The Forest: Terminal gets spammed with errors if Steam is running
  41589  Codename Panzers: Phase Two (GOG.com) needs api-ms-win-crt-stdio-l1-1-0.dll._sopen_dispatch
  41596  Insane 2 crashes in the menu
  41638  Wordpad, errors when compiling its resources on Windows
  41642  S3CC921 programmer app needs ntoskrnl.exe.KeSetTimerEx
  41651  WScript object name on wine is case sensitive which should not be the case (vbscript)
  41655  Error on exiting package created with pyinstaller, needs msvcr100.dll._wfindnext32
  41688  Sonic Utopia crashes at launch

----------------------------------------------------------------

Changes since 1.9.22:

Akihiro Sagawa (5):
      include: Add ime.h based on mingw-w64.
      winex11: Add Japanese special key support.
      comctl32: Show none hotkey text properly.
      winegstreamer: Always pass non-NULL preferred allocator to IAsyncReader::RequestAllocator.
      include: Fix a typo in DriverStringOptions flag.

Alexandre Julliard (3):
      server: Get rid of the set_clipboard_info request.
      server: Get rid of the clipboard owner thread field.
      rpcrt4: Include ntstatus.h before headers that may need it.

Alistair Leslie-Hughes (10):
      dpnet: Semi-stub IDirectPlay8Peer SetPeerInfo.
      dpnet: Semi-stub IDirectPlay8Client SetClientInfo.
      dpnet: Semi-stub IDirectPlay8Server SetServerInfo.
      dpnet: Implement IDirectPlay8LobbyClient Initialize.
      dpnet: Correctly initialize the DPN_SP_CAPS structure.
      dpnet: Close resets back to an uninitialized state.
      dpnet: Initialize winsock.
      setupapi: Add SetupDiGetDevicePropertyW stub.
      advapi32/test: Stop crash when ReadEventLog returns an unexpected error.
      vbscript: Coerce datatype in StrComp.

Andrey Gusev (15):
      api-ms-win-rtcore-ntuser-private-l1-1-0: Add dll.
      ext-ms-win-ntuser-private-l1-1-1: Add dll.
      ext-ms-win-ntuser-rectangle-ext-l1-1-0: Add dll.
      ext-ms-win-ntuser-window-l1-1-1: Add dll.
      ext-ms-win-rtcore-ntuser-sysparams-l1-1-0: Add dll.
      d3dx11: Add D3DX11SaveTextureToMemory stub.
      d3dx11: Move D3DX11CreateTextureFromMemory to texture.c.
      ext-ms-win-gdi-dc-l1-2-0: Add dll.
      ext-ms-win-gdi-draw-l1-1-1: Add dll.
      ext-ms-win-gdi-render-l1-1-0: Add dll.
      ext-ms-win-rtcore-gdi-object-l1-1-0: Add dll.
      ext-ms-win-rtcore-gdi-rgn-l1-1-0: Add dll.
      ext-ms-win-rtcore-ntuser-dc-access-l1-1-0: Add dll.
      api-ms-win-dx-d3dkmt-l1-1-0: Add dll.
      po: Update Ukrainian translation.

Aric Stewart (8):
      winebus.sys: Implement IOCTL_HID_GET(SET)_FEATURE for hidraw.
      winebus.sys: Add OS/X IOHID bus.
      winebus.sys: Implement removing IOHID devices.
      winebus.sys: IOCTL_HID_GET_DEVICE_DESCRIPTOR for iohid.
      winebus.sys: IOCTL_HID_GET_STRING for iohid.
      winebus.sys: Reports for iohid.
      winebus.sys: IOCTL_HID_SET_OUTPUTREPORT for iohid.
      winebus.sys: IOCTL_HID_GET_FEATURE for iohid.

Aurimas Fišeras (1):
      po: Update Lithuanian translation.

Austin English (1):
      ntoskrnl.exe: Add KeSetTimerEx stub.

Bruno Jesus (1):
      xinput1_3: Prefer builtin DLL.

Carlo Bramini (1):
      wordpad: Fix syntax error in resource files (native Windows build).

Carlos Rafael Ramirez (1):
      cmd: When 'if' condition is not met, ignore the next commands in the list.

Detlef Riekenberg (2):
      winspool: Return a failure code in ClosePrinter.
      winspool/tests: Add tests for ClosePrinter.

Donat Enikeev (3):
      secur32: AddSecurityPackage stub.
      crypt32: Import system root certs into volatile registry keys instead of dedicated root store.
      crypt32/tests: Testing priorities and flags of stores in a collection; and whether certs are saved in registry endpoint.

Hadrien Boizard (1):
      uxtheme: Use straight assignments instead of CopyRect().

Hans Leidekker (10):
      msi/tests: Fix some test failures on Windows 10.
      msi: Handle descriptors without component in MsiProvideQualifiedComponentEx.
      msi/tests: Properly clean up test services.
      msi/tests: Fix a typo in test data.
      msi: Use exact size for squashed GUID buffers.
      msi: Take the install context into account when deleting the product key.
      msi: Run the installer in silent mode in RemoveExistingProducts.
      msi: Also roll back changes made in PublishProduct.
      msi: Properly remove the product code from the ugrade codes key.
      netapi32/tests: Fix a test failure on Windows 7.

Henri Verbeet (6):
      d3drm: Introduce d3drm_set_color().
      d3drm: Use the correct alpha value in D3DRMCreateColorRGB().
      d3drm: Define COBJMACROS in d3drm_private.h.
      d3drm: Define NONAMELESSUNION and NONAMELESSSTRUCT in d3drm_private.h.
      d3drm: Don't import libdxguid and libuuid.
      d3drm: Cleanup the includes.

Huw D. M. Davies (7):
      rpcrt4/tests: Extend the tests for NdrDllGetClassObject().
      rpcrt4/tests: Register the proxies to fix a crash on Windows 8 and 10.
      dssenh/tests: The default container may already exist.
      dssenh/tests: RC4 has been crippled in recent Windows versions.
      dssenh/tests: Use a non-crippled algorithm in the key exchange tests.
      rsaenh/tests: Don't initialize the environment, the tests that follow do that.
      rsaenh/tests: Skip broken TLS1 tests on Windows 8 and greater.

Jacek Caban (4):
      rpcsal.h: Added __RPC__range and __RPC__in_range defines.
      urlmon/tests: Removed invalid test.
      vbscript: Call GetItemInfo() with original item name.
      rpcrt4: Initialize all rpc_server_registered_auth_info fields in RpcServerRegisterAuthInfoW.

Jared Smudde (1):
      shell32: Add caption to Run dialog.

Józef Kucia (42):
      wined3d: Invalidate INDEXBUFFER device state when bound index buffer is unloaded.
      wined3d: Compute "buffer_type_hint" from buffer bind flags.
      wined3d: Invalidate device state based on buffer bind flags when buffer is deleted.
      wined3d: Pass context to delete_gl_buffer().
      wined3d: Fix style issues in delete_gl_buffer().
      wined3d: Invalidate STATE_CONSTANT_BUFFER(*) device state in buffer_destroy_buffer_object() when needed.
      wined3d: Use wined3d_vec4 in fixup_transformed_pos().
      d3d9/tests: Add test for checking buffer resource format support.
      d3d8/tests: Port test_check_device_format() from d3d9.
      wined3d: Get rid of WINED3DFMT_VERTEXDATA.
      d3d9/tests: Add test for evicting bound resources.
      wined3d: Mark buffers as used in wined3d_buffer_copy().
      wined3d: Move surface_get_drawable_size() to view.c file.
      wined3d: Introduce wined3d_rendertarget_view_get_drawable_size() as replacement for surface_get_drawable_size().
      wined3d: Avoid unsynchronized buffer update when reloading whole buffer.
      wined3d: Use unsynchronized buffer updates only if there has been at least one buffer map.
      wined3d: Return location from wined3d_buffer_get_memory().
      wined3d: Add support for WINED3DFMT_R32_UINT format.
      wined3d: Add support for WINED3DFMT_R32_SINT format.
      d3d10core/tests: Fix test failures in test_render_target_views().
      d3d11/tests: Fix test failures in test_render_target_views().
      d3d8/tests: Accept broken behavior for lost device tests.
      d3d11/tests: Initialize buffer data in test_copy_subresource_region().
      d3d10core/tests: Initialize buffer data in test_copy_subresource_region().
      d3d11/tests: Initialize texture data in test_update_subresource().
      d3d10core/tests: Initialize texture data in test_update_subresource().
      d3d11/tests: Initialize texture data in test_copy_subresource_region().
      d3d10core/tests: Initialize texture data in test_copy_subresource_region().
      d3d11/tests: Remove test_buffer_data_init().
      d3d10core/tests: Remove test_buffer_data_init().
      d3d11/tests: Remove test_texture_data_init().
      d3d10core/tests: Remove test_texture_data_init().
      wined3d: Add support for WINED3DFMT_R8_UINT format.
      wined3d: Add support for WINED3DFMT_R8_SINT format.
      wined3d: Add support for WINED3DFMT_R8G8_UINT format.
      wined3d: Add support for WINED3DFMT_R8G8_SINT format.
      wined3d: Add support for WINED3DFMT_R32G32_UINT format.
      wined3d: Add support for WINED3DFMT_R32G32_SINT format.
      wined3d: Add support for WINED3DFMT_R16G16_UINT format.
      wined3d: Add support for WINED3DFMT_R16G16_SINT format.
      wined3d: Add support for WINED3DFMT_R16G16B16A16_UINT format.
      wined3d: Add support for WINED3DFMT_R16G16B16A16_SINT format.

Kim Malmo (1):
      po: Update Norwegian translation.

Michael Müller (1):
      ntdll: Move EventRegister/Unregister from advapi32 to ntdll.

Nikolay Sivov (24):
      dwrite: Update to IDWriteFontFace4.
      xmllite: Store and return MultiLanguage reader property.
      ucrtbase: Added _sopen_dispatch/_wsopen_dispatch.
      d2d1/tests: DrawTextLayout() ignores effects that are not brushes.
      d2d1/tests: Test creating bitmap target from uninitialized dc target.
      d2d1: For transformed geometry forward StrokeContainsPoint() to its source geometry.
      d2d1: Fix a typo in traced error message parameter.
      resend patch 1/2: Gdiplus: Implement GdipBitmapGetHistogramSize.
      gdiplus: Implement GdipBitmapGetHistogram().
      d2d1: Implement FillContainsPoint() for rectangle geometry.
      vbscript: Implement StrComp().
      msvcrt: Added _wfindnext32().
      gdiplus: Return success from GdipImageSetAbort().
      gdiplus: Use static data for identity check in GdipIsMatrixIdentity().
      dwrite: Update file type and face type enums.
      dwrite: Set fontface pointer and font size for returned color glyph run.
      dwrite: Update script list with latest additions.
      d2d1: Fix CreateGeometryGroup() prototype.
      include: Update D2D1_DRAW_TEXT_OPTIONS enum.
      d3dx10: Implement async data loader interfaces.
      d2d1: Added support for D2D1_DRAW_TEXT_OPTIONS_ENABLE_COLOR_FONT.
      d2d1/tests: Some tests for GetRect() and GetRoundedRect().
      ieframe/tests: Fix IShellUIHelper instance leak (Valgrind).
      po: Update Russian translation.

Roman Pišl (1):
      ws2_32: Fix the default behavior of IPV6_V6ONLY.

Stefan Dösinger (1):
      ddraw: Use d3d buffers for executebuffer data.

Thomas Faber (1):
      propsys/tests: Fix build with MSVC.

--
Alexandre Julliard
julliard@winehq.org
